Description

Currently there is no clear scheme with which to give unique names to publically visible members of the library.

This includes the following:

C functions with external linkage.

C declarations (types, variables) visible to user-code via included headers.

Fortran module names (the included functions/types etc. need not have a prefix thanks to Fortran's renaming facility).

The current contenders for the prefix-string are:  

Präfix Bedeutung Florian Jörg Panagiotis Thomas

PPM Parallelizati

on and

Partitioning

Module

1 1 0 0

EPM ESM

Parallelizati

on Module

0 0 1 0

PU Parallel

Utilities

library

0 0 0 1

History

#1 - 01/24/2011 04:24 PM - Thomas Jahns

So this is settled: we'll stick to PPM. I'll do some renaming of the core modules accordingly.

#2 - 01/24/2011 04:24 PM - Thomas Jahns

- Status changed from New to Resolved

#3 - 04/05/2011 02:02 PM - Thomas Jahns

The name has been redesignated as "Parallelization and Performance Modules".

#4 - 04/05/2011 02:03 PM - Thomas Jahns

- Status changed from Resolved to Closed
